- name: Debug Meta
  debug: var=ansible_operator_meta
- name: Debug Toggles
  debug:
    msg: |
      affinities:{{ do_affinities }},
      backups:{{ do_backups }},
      debugs:{{ do_debugs }},
      exporters:{{ do_exporters }},
      imagesfrom:{{ opsperator_images_registry }},
      lbservices:{{ do_loadbalancer_services }},
      networkpolicy:{{ do_network_policy }},
      triggers:{{ do_triggers }}
  failed_when: False
- name: Sets Objects Names according to input metadata
  set_fact:
    cr_apivers: wopla.io/v1beta1
    cr_kind: Transmission
    cr_name: "{{ ansible_operator_meta.name }}"
    namespace: "{{ ansible_operator_meta.namespace }}"
    pki_set: []
    transmission_name: "transmission-{{ ansible_operator_meta.name }}"
- include_role:
    name: commons
    tasks_from: helpers/get-lock.yaml
- name: "Checks {{ cr_name }} CR Status"
  async: 30
  changed_when: False
  k8s_info:
    api_version: "{{ cr_apivers }}"
    kind: "{{ cr_kind }}"
    name: "{{ cr_name }}"
    namespace: "{{ namespace }}"
  no_log: True
  poll: 5
  register: transmission_crd
- name: Exits if CR is paused
  meta: end_play
  when:
  - transmission_crd is defined
  - transmission_crd.resources | length > 0
  - transmission_crd.resources[0].spec is defined
  - transmission_crd.resources[0].spec.pause | default(False)
- include_role:
    name: commons
    tasks_from: helpers/k8s-flavor.yaml
- include_role:
    name: commons
    tasks_from: helpers/sc-check.yaml
  vars:
    requires_rwo: True
